<?php

namespace App\Http\Controllers\Admin\SAC;

use App\Http\Controllers\Controller;
use App\Repositories\Contract\BookingRepository;
use App\Repositories\Contract\PatientRepository;
use Illuminate\Http\Request;

class GetBookingPatientData extends Controller
{
    /**
     * Handle the incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function __invoke(BookingRepository $bookingRepository,PatientRepository $patientRepository,$booking_id)
    {
        $booking=$bookingRepository->find($booking_id);

        $phone=$booking->phone;

        $patient=$patientRepository->findWhereFirst('phone',$phone);

        return $this->apiResponse(['booking'=>$booking,"patient"=>$patient]);
    }
}
