<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Repositories\Contract\ApplicationSettingRepository;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Http\Response;


class GetAppSetting extends Controller
{
    /**
     * Handle the incoming request.
     *
     * @param Request $request
     * @return Response
     */
    public function __invoke(Request $request,ApplicationSettingRepository $repository,User $users)
    {
        $data['users_count']=$users->whereIn('type',['user','patient'])->get()->count()??0;
        $data['settings']=$repository->instance()->whereIn("key", ["mobile", 'whats', 'facebook', 'twitter', 'whats', 'instgram', 'youtube', 'experience_years', 'patient_number', 'staff_number', 'clinic_number','covid_card','followers','countries'])->get(["key", 'data']);
        return $this->apiResponse($data, true, 200);
    }
}
