<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Resources\ClinicByIdReseource;
use App\Repositories\Contract\ClinicRepository;
use Illuminate\Http\Request;

class GetClinicById extends Controller
{
    /**
     * Handle the incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function __invoke(Request $request,ClinicRepository $repository,$clinic_id)
    {
        $data=$repository->find($clinic_id);

        $dataResource=new ClinicByIdReseource($data);

        return $this->apiResponse($dataResource);
    }
}
