<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Resources\GalleryResource;
use App\Repositories\Contract\GalleryRepository;
use Illuminate\Http\Request;

class GetGallery extends Controller
{
    /**
     * Handle the incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function __invoke(Request $request,GalleryRepository $repository)
    {
        $data=$repository->paginate();

        $dataResource=GalleryResource::collection($data);

        return $this->apiResponse($dataResource);
    }
}
