<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;

class SocialMediaAuthLoginRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $rules = [
            'type' => ['required','in:facebook,google,apple'],
            'token' => ['required'],
        ];
        return $rules;
    }

    public function attributes()
    {
        return [
            'type' => trans('main.type'),
            'token' => trans('main.tooken'),
        ];
    }
}
