<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class ClinicResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id'=>$this->id,
            'name'=>$this->name,
            'description'=>$this->description??null,
            'mobile'=>$this->mobile??"",
            'whats'=>$this->whats??"",
            'facebook'=>$this->facebook??"",
            'youtube'=>$this->youtube??"",
            'instgram'=>$this->instgram??"",
            'address'=>$this->address??null,
            'lat'=>$this->lat??"",
            'long'=>$this->long??"",
            'location'=>$this->location??"",
            'logo'=>$this->logo?asset('storage/'.$this->logo):"",
        ];
    }
}
