<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddSomeFieldsToClinicsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('clinics', function (Blueprint $table) {
            $table->string("description")->after("name")->nullable();
            $table->string("mobile")->after("description")->nullable();
            $table->string("whats")->after("mobile")->nullable();
            $table->string("facebook")->after("whats")->nullable();
            $table->string("youtube")->after("facebook")->nullable();
            $table->string("instgram")->after("youtube")->nullable();
            $table->string("address")->after("instgram")->nullable();
            $table->string("logo")->after("address")->nullable();
            $table->string("lat")->after("logo")->nullable();
            $table->string("long")->after("lat")->nullable();
            $table->string("zoom")->after("long")->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('clinics', function (Blueprint $table) {
            //
        });
    }
}
