<input type="hidden" name="h_name" value="{{ getData($data, 'name') }}">
<input type="hidden" name="h_prequests" value="{{ collect(getData($data, 'prequests'))->map(function ($model){
    return [
        "name"=>$model['name'],
    ];
  })
 }}">
<script>
    // convert services into an array
    var vue = new Vue({
        el: '#kt_page_portlet',
        data: {
            fData: {
                name: $('input[name=h_name]').val() == '' ? {} : JSON.parse($('input[name=h_name]').val()),
                prequests: $('input[name=h_prequests]').val() != '' ? JSON.parse($('input[name=h_prequests]').val()) : [],
                @if ($action == 'edit')
                    _method: 'PATCH',
                @endif
            },
            isLoading: false,
            isLoadingGoogle:false,
            validation_errors: [],
            is_required:false
        },
        mounted:function(){
        },
        methods: {
            addOtherMeta (type) {
                if (type == 'prequests') {
                    this.fData.prequests.push({
                        name:'',
                    });
                }
            },
            deleteOtherMeta (type, index) {
                if (type == 'prequests') {
                    this.fData.prequests.splice(index, 1);
                }
            },
            send (status = '') {
                this.$validator.validateAll().then((result) => {
                    if (result) {
                        this.submitForm(status);
                    }
                });
            },
            submitForm (status) {
                this.isLoading = true;
                $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand kt-spinner kt-spinner--right kt-spinner--sm kt-spinner--light").attr("disabled", this.isLoading);
                this.Save(status)
            },
            Save(status){
                axios.post('{{ $submitUrl }}',this.fData).then((res) => {
                    if (res.data.success) {
                        swal.fire("{{ __('main.success') }}", "{{ __('main.' . ($action == 'create' ? 'added-message' : 'updated-message')) }}", "success");

                        if (status == '') {
                            var url = '{{ route("admin.hospital_bag_lists.show", ":id") }}';
                            url = url.replace(':id', res.data.payload.id);
                            setTimeout(() => {
                                window.location = url;
                            }, 1000)
                        } else if (status == "continue") {
                            setTimeout(() => {
                                window.location = "{{ route("admin.hospital_bag_lists.create") }}";
                            }, 1000)
                        } else {
                            setTimeout(() => {
                                window.location = "{{ route("admin.hospital_bag_lists.index") }}";
                            }, 1000)
                        }
                    }
                    this.isLoading = false;
                    $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand").attr("disabled", this.isLoading);
                }).catch(error => {
                    this.validation_errors = Helpers.appendValidationErrors(error.response.data, this);
                    this.isLoading = false;
                    $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand").attr("disabled", this.isLoading);
                });
            }
        },
    });
</script>
