<input type="hidden" name="h_name" value="<?php echo e(getData($data, 'name')); ?>">
<script>
    // convert services into an array
    var vue = new Vue({
        el: '#kt_page_portlet',
        data: {
            fData: {
                enabled_date: "<?php echo e(getData($data,'enabled_date')); ?>",
                <?php if($action == 'edit'): ?>
                    _method: 'PATCH',
                <?php endif; ?>
            },
            isLoading: false,
            isLoadingGoogle:false,
            validation_errors: [],
            is_required:false
        },
        mounted:function(){
        },
        methods: {
            send (status = '') {
                this.$validator.validateAll().then((result) => {
                    if (result) {
                        this.submitForm(status);
                    }
                });
            },
            submitForm (status) {
                this.isLoading = true;
                $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand kt-spinner kt-spinner--right kt-spinner--sm kt-spinner--light").attr("disabled", this.isLoading);
                this.Save(status)
            },
            Save(status){
                axios.post('<?php echo e($submitUrl); ?>', this.fData).then((res) => {
                    if (res.data.success) {
                        swal.fire("<?php echo e(__('main.success')); ?>", "<?php echo e(__('main.' . ($action == 'create' ? 'added-message' : 'updated-message'))); ?>", "success");

                        if (status == '') {
                            var url = '<?php echo e(route("admin.enabled_date.show", ":id")); ?>';
                            url = url.replace(':id', res.data.payload.id);
                            setTimeout(() => {
                                window.location = url;
                            }, 1000)
                        } else if (status == "continue") {
                            setTimeout(() => {
                                window.location = "<?php echo e(route("admin.enabled_date.create")); ?>";
                            }, 1000)
                        } else {
                            setTimeout(() => {
                                window.location = "<?php echo e(route("admin.enabled_date.index")); ?>";
                            }, 1000)
                        }
                    }
                    this.isLoading = false;
                    $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand").attr("disabled", this.isLoading);
                }).catch(error => {
                    this.validation_errors = Helpers.appendValidationErrors(error.response.data, this);
                    this.isLoading = false;
                    $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand").attr("disabled", this.isLoading);
                });
            }
        },
    });
</script>
<?php /**PATH /Users/mohamedselimrefaat/Documents/DevProjects/Laravel/marzouk-backend/resources/views/backend/enable_appointments/_partials/_scripts.blade.php ENDPATH**/ ?>