<?php $__env->startSection('sub_header'); ?>
    <?php $__env->startComponent('backend.layout.components.sub-header'); ?>

        <?php $__env->slot('title'); ?>
            <?php echo e($title); ?>

        <?php $__env->endSlot(); ?>
        <a href="#" class="kt-subheader__breadcrumbs-home"><i class="flaticon2-shelter"></i></a>
        <span class="kt-subheader__breadcrumbs-separator"></span>
        <a href="<?php echo e(route('admin.bookings.index')); ?>" class="kt-subheader__breadcrumbs-link">
            <?php echo e(__('main.bookings')); ?>

        </a>
        <?php $__env->slot('toolbar'); ?>
            <li class="kt-nav__item">
                <a href="<?php echo e(route('admin.bookings.edit', [$show->id])); ?>" class="kt-nav__link">
                    <i class="kt-nav__link-icon flaticon-edit"></i>
                    <span class="kt-nav__link-text"><?php echo e(__('main.edit')); ?> <?php echo e(__('main.booking')); ?></span>
                </a>
            </li>
            <li class="kt-nav__item">
                <a href="<?php echo e(route('admin.bookings.index')); ?>" class="kt-nav__link">
                    <i class="kt-nav__link-icon flaticon-list-2"></i>
                    <span class="kt-nav__link-text"><?php echo e(__('main.show-all')); ?> <?php echo e(__('main.bookings')); ?></span>
                </a>
            </li>
            <li class="kt-nav__item">
                <a href="<?php echo e(route('admin.bookings.create')); ?>" class="kt-nav__link">
                    <i class="kt-nav__link-icon flaticon-add"></i>
                    <span class="kt-nav__link-text"><?php echo e(__('main.add_new')); ?> <?php echo e(__('main.bookings')); ?></span>
                </a>
            </li>
        <?php $__env->endSlot(); ?>
    <?php if (isset($__componentOriginalc7828e961428048f1ee309c9e77fb279a2db4f80)): ?>
<?php $component = $__componentOriginalc7828e961428048f1ee309c9e77fb279a2db4f80; ?>
<?php unset($__componentOriginalc7828e961428048f1ee309c9e77fb279a2db4f80); ?>
<?php endif; ?>
<?php echo $__env->renderComponent(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="kt-portlet kt-portlet--mobile">
                <div class="kt-portlet__head">
                    <div class="kt-portlet__head-label">
                        <h3 class="kt-portlet__head-title">
                            <?php echo e($title); ?>

                        </h3>
                    </div>
                    
                </div>
                <div class="kt-portlet__body">
                    <div class="row">
                        <div class="col-md-6">
                            <strong><?php echo e(__('main.name')); ?> : </strong>
                            <?php echo e($show->patient?$show->patient->name:"N/A"); ?>

                            <hr>
                        </div>
                        <div class="col-md-6">
                            <strong><?php echo e(__('main.phone')); ?> : </strong>
                            <?php echo e($show->patient? $show->patient->phone:"N/A"); ?>

                            <hr>
                        </div>
                        <div class="col-md-6">
                            <strong><?php echo e(__('main.secondary_phone')); ?> : </strong>
                            <?php echo e($show->patient? $show->patient->secondary_phone:"N/A"); ?>

                            <hr>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <strong><?php echo e(__('main.occupation')); ?> : </strong>
                            <?php echo e($show->patient? $show->patient->occupation:"N/A"); ?>

                            <hr>
                        </div>
                        <div class="col-md-6">
                            <strong><?php echo e(__('main.location')); ?>: </strong>
                            <?php echo e($show->patient && $show->patient->location ?$show->patient->location->name_val:"N/A"); ?>

                            <hr>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <strong><?php echo e(__('main.clinic')); ?>: </strong>
                            <?php echo e($show->clinic?$show->clinic->name_val:"N/A"); ?>

                            <hr>
                        </div>
                        <div class="col-md-6">
                            <strong><?php echo e(__('main.appointment')); ?> : </strong>
                            <?php echo e($show->appointment_date." ".$show->appointment_time); ?>

                            <hr>
                        </div>
                    </div>
                    <?php if($show->patient): ?>
                        <div class="row">
                            <div class="col-md-6">
                                <strong><?php echo e(__('main.patient')); ?>: </strong>
                                <a target="_blank" href="<?php echo e(route('admin.patients.show',[$show->patient->id])); ?>"><?php echo e($show->patient->name); ?></a>
                                <hr>
                            </div>
                            <div class="col-md-6">
                                <strong><?php echo e(__('main.patient_type')); ?>: </strong>
                                <?php echo e($show->patientType?$show->patientType->name_val:""); ?>

                                <hr>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <strong><?php echo e(__('main.fees')); ?>: </strong>
                                <?php echo e($show->paid_price? $show->paid_price." LE":""); ?>

                                <hr>
                            </div>
                        </div>
                    <?php endif; ?>
                    <div class="row">
                        <div class="col-md-6">
                            <strong><?php echo e(__('main.comments')); ?>: </strong>
                            <?php echo e($show->comments); ?>

                            <hr>
                        </div>
                        <div class="col-md-6">
                            <strong><?php echo e(__('main.created_at')); ?>: </strong>
                            <?php echo e($show->created_at); ?>

                            <hr>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layout.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mohamedselimrefaat/Documents/DevProjects/Laravel/marzouk-backend/resources/views/backend/bookings/show.blade.php ENDPATH**/ ?>