<?php
function GetSettingByKey($val)
{
    static $keys = [];

    if (isset($keys[$val])) {
        return $keys[$val];
    }

    $result = \App\ApplicationSetting::where('key', $val)->first();

    if ($result && $result->data) {
        $keys[$val] = isJson($result->data) ? json_decode($result->data) : $result->data;

        return $keys[$val];
    }

    return null;
}
