<?php

namespace App\Http\Controllers\Admin\SAC;

use App\Http\Controllers\Controller;
use App\Repositories\Contract\LocationRepository;
use Illuminate\Http\Request;

class GetAllLocations extends Controller
{
    /**
     * Handle the incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function __invoke(Request $request,LocationRepository $repository)
    {
        return $this->apiResponse($repository->all()->map(function($model){
            return [
                "id"=>$model->id,
                "text"=>$model->name_val
            ];
        }));
    }
}
