<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class HavingReservationResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        $status=0;
        if($this->finish_at_doctor){
            $status=3;
        }elseif ($this->view_to_doctor_at){
            $status=2;
        }elseif ($this->attendance_at){
            $status=1;
        }
        return [
            "id"               =>$this->id,
            'slot_number'      =>$this->slot_number??"",
           // 'clinic'           =>new ClinicByIdReseource($this->clinic),
            'patient'          =>$this->slot_number?new PatientResource($this->patient):null,
            'this_patient'     =>auth()->user()->id==$this->patient->id?true:false,
            'status'=>$status
        ];
    }
}
