<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class PatientResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id'=>$this->id,
            'name'=>$this->name?$this->name:"",
            'phone'=>$this->phone?$this->phone:"",
            'secondary_phone'=>$this->secondary_phone?$this->secondary_phone:""
        ];
    }
}
