<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class UserResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id'=>$this->id,
            'name'=>$this->name,
            'email'=>$this->email??"",
            'phone'=>$this->phone??"",
            'secondary_phone'=>$this->secondary_phone??"",
            'image'=>$this->image?asset('storage/'.$this->image):"",
        ];
    }
}
