<?php

namespace App\Repositories\Eloquent;

use App\PatientType;
use App\Repositories\Abstracts\RepositoryAbstract;
use App\Repositories\Contract\PatientTypeRepository;

class EloquentPatientTypeRepository extends RepositoryAbstract implements PatientTypeRepository
{
    /**
     * @inheritDoc
     */
    public function entity(): string
    {
        return PatientType::class;
    }
}
