@include('backend.layout.globals.vue_validation')

<div class="kt-section kt-section--last" :class="{'kt-section--first': !(validation_errors.length > 0)}">
    <div class="kt-section__body">
        <div class="form-group row validated">
            <label class="col-2 col-form-label">{{ __('main.types') }}</label>
            <div class="col-10">
                <Select2 v-validate="'required'" :options="types" v-model="fData.type" :name="'type'" data-vv-as="{{ __('main.type') }}" :form_errors="errors" :settings="{placeholder: '{{ __('main.type') }}'}" />
            </div>
        </div>
        <form-group-input-text v-model="fData.name[lang]" v-for="lang in $languages" :name="'name-' + lang" label_class="col-2" input_class="col-10" :is_required="true" v-validate="'required'" :form_errors="errors" :trans="'{{ __("main.name") }}' + ' (' + lang + ')'"></form-group-input-text>
    </div>
</div>
