<input type="hidden" name="h_name" value="{{ getData($data, 'name') }}">
<script>
    var vue = new Vue({
        el: '#kt_page_portlet',
        data: {
            fData: {
                name: $('input[name=h_name]').val() == '' ? {} : JSON.parse($('input[name=h_name]').val()),
                date_of_birth: '{{ getData($data, 'date_of_birth') }}',
                parent_id: '{{ getData($data, 'parent_id') }}',
                @if ($action == 'edit')
                    _method: 'PATCH',
                @endif
            },
            parents:[],
            isLoading: false,
            validation_errors: [],

        },
        mounted: function () {
            this.initSettings();
        },
        methods: {
            initSettings (type = '') {
                axios.get('{{ route('admin.patients.all') }}').then((res) => {
                    this.parents = res.data.payload;
                });
            },
            send (status = '') {
                this.$validator.validateAll().then((result) => {
                    if (result) {
                        this.submitForm(status);
                    }
                });
            },
            submitForm (status) {
                this.Save(status)
            },
            Save(status){
                this.isLoading = true;
                $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand kt-spinner kt-spinner--right kt-spinner--sm kt-spinner--light").attr("disabled", this.isLoading);

                axios.post('{{ $submitUrl }}', this.fData).then((res) => {
                    if (res.data.success) {
                        swal.fire("{{ __('main.success') }}", "{{ __('main.' . ($action == 'create' ? 'added-message' : 'updated-message')) }}", "success");

                        if (status == '') {
                            var url = '{{ route("admin.children.show", ":id") }}';
                            url = url.replace(':id', res.data.payload.id);
                            setTimeout(() => {
                                window.location = url;
                            }, 1000)
                        } else if (status == "continue") {
                            setTimeout(() => {
                                window.location = "{{ route("admin.children.create") }}";
                            }, 1000)

                        } else {
                            setTimeout(() => {
                                window.location = "{{ route("admin.children.index") }}";
                            }, 1000)

                        }
                    }
                    this.isLoading = false;
                    $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand").attr("disabled", this.isLoading);
                }).catch(error => {
                    this.validation_errors = Helpers.appendValidationErrors(error.response.data, this);
                    this.isLoading = false;
                    $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand").attr("disabled", this.isLoading);
                });
            }
        },
    });
</script>
