@include('backend.layout.globals.vue_validation')

<div class="kt-section kt-section--last" :class="{'kt-section--first': !(validation_errors.length > 0)}">
    <div class="kt-section__body">
        {{--
        @if(!request()->filled('booking_id') && ($action !="edit"))
            <div class="form-group row validated">
                <label class="col-2 col-form-label required">{{ __('main.bookings') }}</label>
                <div class="col-9">
                    <Select2 v-validate="'required'" :options="bookings" v-model="fData.booking_id" :name="'bookings'" data-vv-as="{{ __('main.bookings') }}" :form_errors="errors" :settings="{placeholder: '{{ __('main.bookings') }}'}" />
                </div>
            </div><!-- Bookings -->
        @endif

        <template v-if="(fData.booking_id) || (action=='EDIT')">
       --}}
            <form-group-input-text v-model="fData.name"  :name="'name'" label_class="col-2" input_class="col-9" :is_required="true" v-validate="'required'" :form_errors="errors" :trans="'{{ __("main.name") }}'"></form-group-input-text>
            <form-group-input-text v-model="fData.phone"  :name="'phone'" label_class="col-2" input_class="col-9" :is_required="true" v-validate="'required'" :form_errors="errors" :trans="'{{ __("main.phone") }}'"></form-group-input-text>
            <form-group-input-text v-model="fData.secondary_phone"  :name="'secondary_phone'" label_class="col-2" input_class="col-9" :is_required="false" :form_errors="errors" :trans="'{{ __("main.secondary_phone") }}'"></form-group-input-text>
            <form-group-input-text v-model="fData.nationality"  :name="'nationality'" label_class="col-2" input_class="col-9" :is_required="true" v-validate="'required'" :form_errors="errors" :trans="'{{ __("main.nationality") }}'"></form-group-input-text>
         {{--
        <div class="form-group row validated" :class="{'validated' : errors.has('date_of_birth')}">
                <label class="col-2 col-form-label required">{{ __('main.date_of_birth') }}</label>
                <div class="col-9">
                    <date-pick  v-model="fData.date_of_birth" :value="fData.date_of_birth" ></date-pick>
                    <div v-if="errors.has('date_of_birth')" class="invalid-feedback">@{{ errors.first('date_of_birth') }}</div>
                </div>
            </div><!-- date_birth -->
        --}}
            <form-group-input-text v-model="fData.occupation"  :name="'occupation'" label_class="col-2" input_class="col-9" :is_required="true" v-validate="'required'" :form_errors="errors" :trans="'{{ __("main.occupation") }}'"></form-group-input-text>
            <!-- Occupations -->
            <div class="form-group row validated">
                <label class="col-2 col-form-label required">{{ __('main.locations') }}</label>
                <div class="col-9">
                    <Select2 :options="locations" v-model="fData.location_id" :name="'location'" data-vv-as="{{ __('main.location') }}" :form_errors="errors" :settings="{placeholder: '{{ __('main.locations') }}'}" />
                </div>
            </div><!-- Locations -->
            <div class="form-group row validated">
                <label class="col-2 col-form-label required">{{ __('main.notes') }}</label>
                <div class="col-9">
                    <quill-editor v-model="fData.notes" :name="'notes'" data-vv-as="{{ __('main.notes') }}" :form_errors="errors" :id="'notes'" ref="myQuillEditor" :options="{}"></quill-editor>
                    <span v-if="errors.has('notes')" class="invalid-feedback">
                          @{{ errors.first('notes') }}
                    </span>
                </div>
            </div><!-- Description -->
                {{--
        </template>
        --}}
    </div>
</div>
