<div class="tab-pane" id="bookings" role="tabpanel">
<div class="kt-portlet__body">
    <div class="row">
        <div class="col-md-12">
            @if ($show->bookings()->count())
                <table class="table table-striped table-bordered">
                <thead>
                    <th class="text-center">
                        #
                    </th>
                    <th class="text-center">
                        {{trans('main.name')}}
                    </th>
                    <th class="text-center">
                        {{trans('main.phone')}}
                    </th>
                    <th class="text-center">
                        {{trans('main.secondary_phone')}}
                    </th>
                    <th class="text-center">
                        {{trans('main.clinic')}}
                    </th>
                    <th class="text-center">
                        {{trans('main.slot_number')}}
                    </th>
                    <th class="text-center">
                        {{trans('main.patient_type')}}
                    </th>
                    <th class="text-center">
                        {{trans('main.fees')}}
                    </th>
                    <th class="text-center">
                        {{trans('main.appointment')}}
                    </th>
                    <th class="text-center">
                        {{trans('main.show')}}
                    </th>
                </thead>
                <tbody>
                @foreach($show->bookings()->orderBy("id","desc")->get() as$key=>$booking)
                    <tr @if($booking->attendanceStatus) style="background-color:{{$booking->attendanceStatus->color}}" @endif>
                        <td class="text-center" style="color: black">
                            {{++$key}}
                        </td>
                        <td class="text-center" style="color: black">
                            {{$show->name}}
                        </td>
                        <td class="text-center" style="color: black">
                            {{$show->phone}}
                        </td>
                        <td class="text-center" style="color: black">
                            {{$show->secondary_phone}}
                        </td>
                        <td class="text-center" style="color: black">
                            {{$booking->clinic?$booking->clinic->name_val:""}}
                        </td>
                        <td class="text-center" style="color: black">
                            {{$booking->slot_number}}
                        </td>
                        <td class="text-center" style="color:black">
                            {{$booking->patientType?$booking->patientType->name_val:""}}
                        </td>
                        <td class="text-center" style="color:black">
                            {{$booking->paid_price?$booking->paid_price." LE":""}}
                        </td>
                        <td class="text-center">
                            @if($booking->attendanceStatus)
                                <span class="kt-badge kt-badge--dark kt-badge--md kt-badge--inline" style="background-color:{{$booking->attendanceStatus->color}}">
                                  {{$booking->appointment_date.":".$booking->appointment_time}}
                                </span>
                            @else
                                {{$booking->appointment_date.":".$booking->appointment_time}}
                            @endif

                        </td>
                        <td class="text-center">
                            <a target="_blank" class="btn btn-brand" href="{{route('admin.bookings.show',[$booking->id])}}">{{trans('main.show')}}</a>
                        </td>
                    </tr>
                @endforeach
                </tbody>
            </table>
            @else
                <div class="alert alert-info fade show" role="alert">
                <div class="alert-icon"><i class="flaticon-questions-circular-button"></i></div>
                <div class="alert-text">{{ __('main.no_data_found') }}</div>
                <div class="alert-close">

                </div>
            </div>
            @endif
        </div>
    </div>
</div>
</div>
