<script>
    $(".deleteBtn").on('click', (e) => {
        e.preventDefault()
        //console.log(e)
    });
    var vue = new Vue({
        el: '#kt_page_portlet',
        data: {
            fData: {
                name: '{{ getData($data, 'name') }}',
                email: '{{ getData($data, 'email') }}',
                phone: '{{ getData($data, 'phone') }}',
                image: '{{ getData($data, 'image') }}',
                password: '',
                password_confirmation: '',
                @if ($action == 'edit')
                    _method: 'PATCH',

                @endif
            },
            isLoading: false,
            validation_errors: [],
        },
        mounted: function () {

        },

        methods: {
            send(status = '') {

                this.$validator.validateAll().then((result) => {
                    if (result) {
                        this.isLoading = true;
                        $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand kt-spinner kt-spinner--right kt-spinner--sm kt-spinner--light").attr("disabled", this.isLoading);
                        self = this;
                        var image = new Promise(function (resolve, reject) {
                            if ($("#image")[0].files.length > 0) {
                                image = [];
                                image.push($("#image")[0].files[0]);
                                Helpers.uploadeFile(image,
                                    'admin_profile_image',
                                    self.UploadeRoute
                                ).then(images => {
                                        self.fData.image = images[0];
                                        resolve();
                                    }
                                ).catch(err => {
                                    this.validation_errors = $validation_errors;
                                    this.isLoading = false;
                                    resolve();
                                })
                                //items_keys.push("logo");
                            }
                            else{
                                resolve();
                            }

                        });
                        Promise.all([image])
                            .then(function (result) {
                                self.submitForm(status);
                            });
                    }
                });
                //this.submitForm(status);
            },
            submitForm(status) {
                this.submit(status)
            },
            submit(status) {
                axios.post('{{ $submitUrl }}', this.fData).then((res) => {
                    if (res.data.success) {
                        swal.fire("{{ __('main.success') }}", "{{ __('main.' . ($action == 'create' ? 'added-message' : 'updated-message')) }}", "success");
                        setTimeout(() => {
                            window.location = "{{ route('admin.profile.edit') }}";
                        }, 1000);
                    }
                    this.isLoading = false;
                    $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand").attr("disabled", this.isLoading);
                }).catch(error => {
                    this.validation_errors = Helpers.appendValidationErrors(error.response.data, this);
                    this.isLoading = false;
                    $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand").attr("disabled", this.isLoading);
                });
            }
        },
    });
</script>
