<?php echo $__env->make('backend.layout.globals.vue_validation', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="kt-section kt-section--last" :class="{'kt-section--first': !(validation_errors.length > 0)}">
    <div class="kt-section__body">
        
            <form-group-input-text v-model="fData.name"  :name="'name'" label_class="col-2" input_class="col-9" :is_required="true" v-validate="'required'" :form_errors="errors" :trans="'<?php echo e(__("main.name")); ?>'"></form-group-input-text>
            <form-group-input-text v-model="fData.phone"  :name="'phone'" label_class="col-2" input_class="col-9" :is_required="true" v-validate="'required'" :form_errors="errors" :trans="'<?php echo e(__("main.phone")); ?>'"></form-group-input-text>
            <form-group-input-text v-model="fData.nationality"  :name="'nationality'" label_class="col-2" input_class="col-9" :is_required="true" v-validate="'required'" :form_errors="errors" :trans="'<?php echo e(__("main.nationality")); ?>'"></form-group-input-text>
         
            <form-group-input-text v-model="fData.occupation"  :name="'occupation'" label_class="col-2" input_class="col-9" :is_required="true" v-validate="'required'" :form_errors="errors" :trans="'<?php echo e(__("main.occupation")); ?>'"></form-group-input-text>
            <!-- Occupations -->
            <div class="form-group row validated">
                <label class="col-2 col-form-label required"><?php echo e(__('main.locations')); ?></label>
                <div class="col-9">
                    <Select2 :options="locations" v-model="fData.location_id" :name="'location'" data-vv-as="<?php echo e(__('main.location')); ?>" :form_errors="errors" :settings="{placeholder: '<?php echo e(__('main.locations')); ?>'}" />
                </div>
            </div><!-- Locations -->
            <div class="form-group row validated">
                <label class="col-2 col-form-label required"><?php echo e(__('main.notes')); ?></label>
                <div class="col-9">
                    <quill-editor v-model="fData.notes" :name="'notes'" data-vv-as="<?php echo e(__('main.notes')); ?>" :form_errors="errors" :id="'notes'" ref="myQuillEditor" :options="{}"></quill-editor>
                    <span v-if="errors.has('notes')" class="invalid-feedback">
                          {{ errors.first('notes') }}
                    </span>
                </div>
            </div><!-- Description -->
                
    </div>
</div>
<?php /**PATH /home/drmarzouk/public_html/clinic/releases/20220719061117/resources/views/backend/patients/_partials/_fields.blade.php ENDPATH**/ ?>