<?php $__env->startSection('styles'); ?>
    <link href="<?php echo e(asset('backend/dist/assets/plugins/custom/datatables/datatables.bundle.css')); ?>" rel="stylesheet" type="text/css" />
    <style>
        .dataTables_wrapper .dataTable td{
            color: black !important;
        }.width_hover{
             width:100% !important;
             color: black !important;
         }
    </style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('sub_header'); ?>
    <?php $__env->startComponent('backend.layout.components.sub-header'); ?>
        <?php $__env->slot('title'); ?>
            <?php echo e($title); ?>

        <?php $__env->endSlot(); ?>

        <a href="#" class="kt-subheader__breadcrumbs-home"><i class="flaticon2-shelter"></i></a>
        <span class="kt-subheader__breadcrumbs-separator"></span>
        <a href="<?php echo e(route('admin.view_to_doctor_today_bookings.index')); ?>" class="kt-subheader__breadcrumbs-link">
            <?php echo e(__('main.today_bookings')); ?>

        </a>
        <span class="kt-subheader__breadcrumbs-separator"></span>
        <a href="#" class="kt-subheader__breadcrumbs-link">
            <?php echo e(__('main.view_to_doctor')); ?>

        </a>
    <?php if (isset($__componentOriginalc7828e961428048f1ee309c9e77fb279a2db4f80)): ?>
<?php $component = $__componentOriginalc7828e961428048f1ee309c9e77fb279a2db4f80; ?>
<?php unset($__componentOriginalc7828e961428048f1ee309c9e77fb279a2db4f80); ?>
<?php endif; ?>
<?php echo $__env->renderComponent(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="kt-portlet kt-portlet--last kt-portlet--head-lg kt-portlet--responsive-mobile">
                <div class="kt-portlet__head kt-portlet__head--lg">
                    <div class="kt-portlet__head-label">
                        <span class="kt-portlet__head-icon">
                            <i class="kt-font-brand flaticon2-line-chart"></i>
                        </span>
                        <h3 class="kt-portlet__head-title">
                            <?php echo e($title); ?>

                        </h3>
                    </div>
                </div>
                <div class="kt-portlet__body">
                <!--begin: Datatable -->
                <?php echo $dataTable->table(['class' => 'table table-striped table-bordered table-hover table-checkable'], true); ?>

                <!--end: Datatable -->
                </div>

            </div>
        </div>
    </div>

    <?php echo $__env->make("backend.patients._partials._modal_quick_view", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('js_scripts'); ?>

        <script>
            $( document ).ready(function() {

                //Pusher.logToConsole = true;
                var pusher = new Pusher('8f5e1c1e2549b216f562', {
                    encrypted: true
                });
                var channel = pusher.subscribe('marzouk');
                channel.bind('App\\Events\\RefreshEvent', function(data) {
                    location.reload();
                });
            });
            function quickViewEntity($id) {
                axios.post("<?php echo e(route("admin.entity.quick_view")); ?>", {
                    id: $id,
                    type:'patient'
                }).then((res) => {
                    $("#quick_view_entity").html(res.data);
                    $("#quick_view_entity").modal('show');
                })
            }
        </script>

    <?php echo $dataTable->scripts(); ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layout.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mohamedselimrefaat/Documents/DevProjects/Laravel/marzouk-backend/resources/views/backend/bookings/view_to_doctor_today_bookings.blade.php ENDPATH**/ ?>