<button class="kt-header-menu-wrapper-close" id="kt_header_menu_mobile_close_btn">
    <i class="la la-close"></i>
</button>

<div class="kt-header-menu-wrapper kt-grid__item kt-grid__item--fluid" id="kt_header_menu_wrapper">
    <button class="kt-aside-toggler kt-aside-toggler--left" id="kt_aside_toggler">
        <span></span>
    </button>
    <div id="kt_header_menu" class="kt-header-menu kt-header-menu-mobile ">
        <ul class="kt-menu__nav">
            <li class="kt-menu__item  kt-menu__item--submenu kt-menu__item--rel" data-ktmenu-submenu-toggle="click"
                aria-haspopup="true">
            <li class="kt-menu__item kt-menu__item--submenu kt-menu__item--rel <?php echo e(is_active('admin/dashboard')); ?>"
                data-ktmenu-submenu-toggle="click" aria-haspopup="true">
                <a href="<?php echo e(route('admin.dashboard')); ?>" class="kt-menu__link">
                    <span class="kt-menu__link-text"><?php echo e(__('main.dashboard')); ?></span>
                    <i class="kt-menu__ver-arrow la la-angle-right"></i>
                </a>
            </li>
            <?php if (\Illuminate\Support\Facades\Blade::check('admin')): ?>
            <li class="kt-menu__item kt-menu__item--submenu kt-menu__item--rel <?php echo e(is_active('admin/clinics')); ?>"
                data-ktmenu-submenu-toggle="click" aria-haspopup="true">
                <a href="<?php echo e(route('admin.clinics.index')); ?>" class="kt-menu__link">
                    <span class="kt-menu__link-text"><?php echo e(__('main.clinics')); ?></span>
                    <i class="kt-menu__ver-arrow la la-angle-right"></i>
                </a>
            </li>
            <?php endif; ?>
            <li class="kt-menu__item kt-menu__item--submenu kt-menu__item--rel <?php echo e(is_active('admin/bookings')); ?>"
                data-ktmenu-submenu-toggle="click" aria-haspopup="true">
                <a href="<?php echo e(route('admin.bookings.index')); ?>" class="kt-menu__link">
                    <span class="kt-menu__link-text"><?php echo e(__('main.bookings')); ?></span>
                    <i class="kt-menu__ver-arrow la la-angle-right"></i>
                </a>
            </li>
            <li class="kt-menu__item kt-menu__item--submenu kt-menu__item--rel <?php echo e(is_active('admin/today_bookings')); ?>"
                data-ktmenu-submenu-toggle="click" aria-haspopup="true">
                <a href="<?php echo e(route('admin.today_bookings.index')); ?>" class="kt-menu__link">
                    <span class="kt-menu__link-text"><?php echo e(__('main.today_bookings')); ?></span>
                    <i class="kt-menu__ver-arrow la la-angle-right"></i>
                </a>
            </li>
            <li class="kt-menu__item kt-menu__item--submenu kt-menu__item--rel <?php echo e(is_active('admin/attendance_today_bookings')); ?>"
                data-ktmenu-submenu-toggle="click" aria-haspopup="true">
                <a href="<?php echo e(route('admin.attendance_today_bookings.index')); ?>" class="kt-menu__link">
                    <span class="kt-menu__link-text"><?php echo e(__('main.attendance_today')); ?></span>
                    <i class="kt-menu__ver-arrow la la-angle-right"></i>
                </a>
            </li>
            <li class="kt-menu__item kt-menu__item--submenu kt-menu__item--rel <?php echo e(is_active('admin/patients')); ?>"
                data-ktmenu-submenu-toggle="click" aria-haspopup="true">
                <a href="<?php echo e(route('admin.patients.index')); ?>" class="kt-menu__link">
                    <span class="kt-menu__link-text"><?php echo e(__('main.patients')); ?></span>
                    <i class="kt-menu__ver-arrow la la-angle-right"></i>
                </a>
            </li>
            <?php if (\Illuminate\Support\Facades\Blade::check('admin_doctor')): ?>
            <li class="kt-menu__item kt-menu__item--submenu kt-menu__item--rel <?php echo e(is_active('admin/operations')); ?>"
                data-ktmenu-submenu-toggle="click" aria-haspopup="true">
                <a href="<?php echo e(route('admin.operations.index')); ?>" class="kt-menu__link">
                    <span class="kt-menu__link-text"><?php echo e(__('main.operations')); ?></span>
                    <i class="kt-menu__ver-arrow la la-angle-right"></i>
                </a>
            </li>
            <li class="kt-menu__item kt-menu__item--submenu kt-menu__item--rel <?php echo e(is_active('admin/view_to_doctor_today_bookings')); ?>"
                data-ktmenu-submenu-toggle="click" aria-haspopup="true">
                <a href="<?php echo e(route('admin.view_to_doctor_today_bookings.index')); ?>" class="kt-menu__link">
                    <span class="kt-menu__link-text"><?php echo e(__('main.view_to_doctor')); ?></span>
                    <i class="kt-menu__ver-arrow la la-angle-right"></i>
                </a>
            </li>
            <?php endif; ?>
            <?php if(auth()->user()->type !='doctor'): ?>
                <li  class="kt-menu__item  kt-menu__item--submenu kt-menu__item--rel" data-ktmenu-submenu-toggle="click"
                aria-haspopup="true">
                <a href="javascript:" class="kt-menu__link kt-menu__toggle">
                        <span class="kt-menu__link-text">
                            <i class="flaticon-more-1"></i>
                        </span>
                    <i class="kt-menu__ver-arrow la la-angle-right"></i>
                </a>
                <div class="kt-menu__submenu kt-menu__submenu--classic kt-menu__submenu--left">
                    <ul class="kt-menu__subnav">
                        <li class="kt-menu__item " aria-haspopup="true">
                            <a href="<?php echo e(route('admin.locations.index')); ?>" class="kt-menu__link">
                                <i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
                                <span class="kt-menu__link-text"><?php echo e(trans('main.locations')); ?></span>
                            </a>
                        </li>
                        <li class="kt-menu__item " aria-haspopup="true">
                            <a href="<?php echo e(route('admin.operation_locations.index')); ?>" class="kt-menu__link">
                                <i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
                                <span class="kt-menu__link-text"><?php echo e(trans('main.operation_locations')); ?></span>
                            </a>
                        </li>
                        <li class="kt-menu__item " aria-haspopup="true">
                            <a href="<?php echo e(route('admin.enabled_date.index')); ?>" class="kt-menu__link">
                                <i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
                                <span class="kt-menu__link-text"><?php echo e(trans('main.enabled_dates')); ?></span>
                            </a>
                        </li>
                        <?php if (\Illuminate\Support\Facades\Blade::check('admin')): ?>
                            <li class="kt-menu__item " aria-haspopup="true">
                                <a href="<?php echo e(route('admin.clinic_report.index')); ?>" class="kt-menu__link">
                                    <i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
                                    <span class="kt-menu__link-text"><?php echo e(trans('main.clinic_report')); ?></span>
                                </a>
                            </li>
                            <li class="kt-menu__item " aria-haspopup="true">
                                <a href="<?php echo e(route('admin.patient_types.index')); ?>" class="kt-menu__link">
                                    <i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
                                    <span class="kt-menu__link-text"><?php echo e(trans('main.patient_types')); ?></span>
                                </a>
                            </li>
                            <li class="kt-menu__item " aria-haspopup="true">
                                <a href="<?php echo e(route('admin.attendance_statuses.index')); ?>" class="kt-menu__link">
                                    <i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
                                    <span class="kt-menu__link-text"><?php echo e(trans('main.attendance_statuses')); ?></span>
                                </a>
                            </li>
                            
                            <li class="kt-menu__item " aria-haspopup="true">
                                <a href="<?php echo e(route('admin.babies_names.index')); ?>" class="kt-menu__link">
                                    <i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
                                    <span class="kt-menu__link-text"><?php echo e(trans('main.babies_names')); ?></span>
                                </a>
                            </li>
                            <li class="kt-menu__item " aria-haspopup="true">
                                <a href="<?php echo e(route('admin.galleries.index')); ?>" class="kt-menu__link">
                                    <i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
                                    <span class="kt-menu__link-text"><?php echo e(trans('main.galleries')); ?></span>
                                </a>
                            </li>
                            <li class="kt-menu__item " aria-haspopup="true">
                                <a href="<?php echo e(route('admin.hospital_bag_lists.index')); ?>" class="kt-menu__link">
                                    <i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
                                    <span class="kt-menu__link-text"><?php echo e(trans('main.hospital_bag_lists')); ?></span>
                                </a>
                            </li>
                            <li class="kt-menu__item " aria-haspopup="true">
                                <a href="<?php echo e(route('admin.children.index')); ?>" class="kt-menu__link">
                                    <i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
                                    <span class="kt-menu__link-text"><?php echo e(trans('main.children')); ?></span>
                                </a>
                            </li>
                            <li class="kt-menu__item " aria-haspopup="true">
                                <a href="<?php echo e(route('admin.reviews.index')); ?>" class="kt-menu__link">
                                    <i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
                                    <span class="kt-menu__link-text"><?php echo e(trans('main.reviews')); ?></span>
                                </a>
                            </li>
                            <li class="kt-menu__item " aria-haspopup="true">
                                <a href="<?php echo e(route('admin.news.index')); ?>" class="kt-menu__link">
                                    <i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
                                    <span class="kt-menu__link-text"><?php echo e(trans('main.news')); ?></span>
                                </a>
                            </li>
                        <?php endif; ?>
                    </ul>
                </div>
            </li>
            <?php endif; ?>
        </ul>
    </div>

</div>
<?php /**PATH /Users/mohamedselimrefaat/Documents/DevProjects/Laravel/marzouk-backend/resources/views/backend/layout/partials/header-menu/index.blade.php ENDPATH**/ ?>